## pytest-flask 1.3.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pytest-flask.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pytest-flask.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pytest-flask"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pytest-flask"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## pytest-flask 0.14.0

=== debian/changelog ===
pytest-flask (0.14.0-1) unstable; urgency=medium

  * New upstream release 0.14.0

 -- Alexandros Afentoulis <alexaf.dpkg@bloom.re>  Tue, 23 Oct 2018 20:28:59 +0300

pytest-flask (0.13.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Alexandros Afentoulis ]
  * New upstream release 0.13.0

 -- Alexandros Afentoulis <alexaf.dpkg@bloom.re>  Thu, 11 Oct 2018 21:24:06 +0300

pytest-flask (0.12.0-1) unstable; urgency=medium

  * New upstream release 0.12.0
  * Depend on python3-pytest >= 3.6

 -- Alexandros Afentoulis <alexaf.dpkg@bloom.re>  Sat, 29 Sep 2018 15:50:20 +0300

pytest-flask (0.11.0-1) unstable; urgency=medium

  * Initial release. (Closes: #816713)

 -- Alexandros Afentoulis <alexaf.dpkg@bloom.re>  Thu, 30 Aug 2018 15:50:11 +0000

=== debian/control ===
Source: pytest-flask
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Alexandros Afentoulis <alexaf.dpkg@bloom.re>
Build-Depends: debhelper (>= 11), dh-python,
               python3-all,
               python3-flask,
               python3-pytest (>= 3.6),
               python3-setuptools,
               python3-sphinx,
               python3-werkzeug,
               python3-sphinx-rtd-theme,
               python3-setuptools-scm,
Standards-Version: 4.2.1
Homepage: https://github.com/vitalk/pytest-flask
Vcs-Browser: https://salsa.debian.org/python-team/modules/pytest-flask
Vcs-Git: https://salsa.debian.org/python-team/modules/pytest-flask.git

Package: python3-pytest-flask
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Suggests: python3-pytest-flask-doc
Description: pytest plugin to test Python Flask - Python 3 version
 pytest-flask provides a set of pytest fixtures to simplify testing of Python
 Flask extensions and applications.
 .
 This package contains the Python 3 version.

Package: python3-pytest-flask-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: pytest plugin to test Python Flask - documentation manual
 pytest-flask provides a set of pytest fixtures to simplify testing of Python
 Flask extensions and applications.
 .
 This package contains documentation for pytest-flask.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pytest-flask
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && \
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	python3 -m sphinx -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

override_dh_auto_test:
	PYTHONPATH=$(CURDIR) PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -x -v tests" dh_auto_test

=== debian/watch ===
# try also https://pypi.debian.net/pytest-flask/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pytest-flask/pytest-flask-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pytest-flask 0.15.1

=== debian/changelog ===
pytest-flask (0.15.1-2) unstable; urgency=medium

  * Team Upload.
  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Nilesh Patra ]
  * Clean _version.py pre-build (Closes: #978277)
  * Switch watch version to 4
  * Declare compliance with policy 4.5.1

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 01 Jan 2021 13:43:24 +0530

pytest-flask (0.15.1-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * New upstream release.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.5.0.
  * Bump debhelper from old 11 to 13.
  * Mark Rules-Requires-Root: no.
  * d/t/python3-pytest-flask: py3versions -i -> py3versions -s.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Ondřej Nový <onovy@debian.org>  Wed, 15 Jul 2020 12:42:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: pytest-flask
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Alexandros Afentoulis <alexaf.dpkg@bloom.re>
-Build-Depends: debhelper (>= 11), dh-python,
+Build-Depends: debhelper-compat (= 13), dh-python,
                python3-all,
                python3-flask,
                python3-pytest (>= 3.6),
@@ -12,10 +12,11 @@
                python3-werkzeug,
                python3-sphinx-rtd-theme,
                python3-setuptools-scm,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/vitalk/pytest-flask
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pytest-flask
-Vcs-Git: https://salsa.debian.org/python-team/modules/pytest-flask.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-flask
+Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-flask.git
+Rules-Requires-Root: no
 
 Package: python3-pytest-flask
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,7 @@
 
 override_dh_auto_test:
 	PYTHONPATH=$(CURDIR) PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -x -v tests" dh_auto_test
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f pytest_flask/_version.py

=== debian/watch ===
# try also https://pypi.debian.net/pytest-flask/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pytest-flask/pytest-flask-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pytest-flask 1.3.0

=== debian/changelog ===
pytest-flask (1.3.0-1) unstable; urgency=medium

  * Team upload
  * [c8a0b1b] d/watch: Move over to git mode with GitHub
  * [c93ce1d] d/gbp.conf: Add some more default data
  * [0a64489] New upstream version 1.3.0
    (Closes: #1052801)
  * [e0f81db] d/*: Running wrap-and-sort -ast
  * [958a1d2] d/control: Update Homepage data
  * [d4bca57] d/copyright: Update Source data
  * [fb17d7d] d/u/metadata: Update usptream data
  * [b007e2b] d/control: Bump Standards-Versions to 4.6.2
    No further changes needed.
  * [ec82483] d/control: Update B-D and adding BuildProfileSpecs
  * [83747b6] d/rules: Update build of sphinx based documentation
  * [3698fcb] d/python3-pytest-flask-doc.* Update sequencer content
  * [77693d7] autopkgtest: Update package dependencies
  * [1cdfa48] Salsa CI: Update and rename to salsa-ci.yml

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 26 Dec 2023 20:50:47 +0100

pytest-flask (0.15.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python3-pytest-flask-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 08 Dec 2022 01:24:01 +0000

pytest-flask (0.15.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-pytest.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 01:53:33 +0100

=== debian/control ===
Source: pytest-flask
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Alexandros Afentoulis <alexaf.dpkg@bloom.re>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 pybuild-plugin-pyproject,
 python3-all,
 python3-flask <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://github.com/pytest-dev/pytest-flask
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-flask
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-flask.git
Rules-Requires-Root: no

Package: python3-pytest-flask
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-pytest-flask-doc,
Description: pytest plugin to test Python Flask - Python 3 version
 pytest-flask provides a set of pytest fixtures to simplify testing of Python
 Flask extensions and applications.
 .
 This package contains the Python 3 version.

Package: python3-pytest-flask-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: pytest plugin to test Python Flask - documentation manual
 pytest-flask provides a set of pytest fixtures to simplify testing of Python
 Flask extensions and applications.
 .
 This package contains documentation for pytest-flask.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"

export PYBUILD_NAME=pytest-flask

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "pytest_flask*dist-info" | head -n1)` \
	    python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python3-pytest-flask-doc/usr/share/doc/python3-pytest-flask-doc/html
	rm -rf $(CURDIR)/debian/python3-pytest-flask-doc/usr/share/doc/python3-pytest-flask-doc/html/.doctrees
	dh_sphinxdoc
endif

override_dh_auto_test:
	PYTHONPATH=$(CURDIR) PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -x -v tests" dh_auto_test

override_dh_auto_clean:
	dh_auto_clean
	rm -f pytest_flask/_version.py

=== debian/tests/control ===
Tests: python3-pytest-flask
Depends:
 python3-all,
 @,
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/pytest-dev/pytest-flask.git \
      refs/tags/@ANY_VERSION@
